Bug 863592 - GNOME and PackageKit update notification still triggers the online update install process, not the new offline update install process
GNOME and PackageKit update notification still triggers the online update ins...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
19
All All
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
RejectedNTH https://fedoraproject.org...
: CommonBugs
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 19:39 EDT by Adam Williamson
Modified: 2013-11-18 12:15 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-18 08:24:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-10-05 19:39:30 EDT
I don't know if this is a bug or intentional, but I thought I'd file it in case it's the former.

https://fedoraproject.org/wiki/Features/OfflineSystemUpdates never quite makes it explicitly clear, but in general it reads as if offline updates are meant to *replace* online updates for GNOME, at least as far as the default goes, and possibly as the only graphical option.

This is not the case at present, however (current stable F18, gnome-packagekit-3.6.0-2, gnome-shell 3.6.0-1). The offline update functionality is present (haven't yet checked if it's working), but the online update functionality is still present too. Shell notifications that "Updates are available for your system!" still appear, and these trigger the *online* update process, not the offline one.

So when I get such a notification and click its 'Install Updates' button, I get gpk-update-viewer just as I did in previous releases, and it goes ahead and installs the updates as the system is running. No integration with the new offline update install process at all.

Given the way the feature page is worded, I was kind of expecting gpk-update-viewer no longer to be available by default, and I was certainly not expecting the workflow the user is directed into via the notification system to be the online update system rather than the offline update system.
Comment 1 Adam Williamson 2012-11-02 14:42:15 EDT
There are two upstream reports relating to this:

https://bugzilla.gnome.org/show_bug.cgi?id=687149
https://bugzilla.gnome.org/show_bug.cgi?id=683745

I'm proposing this as NTH, as it would be nice to have the update behaviour consistent and as-planned-for-Final in Beta, but it's not really release blocking: updating does actually _work_, just the user experience is somewhat confusing between offline and online at present.
Comment 2 Adam Williamson 2012-11-05 12:44:39 EST
Discussed at 2012-11-05 QA meeting acting as an NTH review meeting. Agreed this is rejected as NTH as it's now too close to go/no-go to be poking at this mechanism.
Comment 3 Adam Williamson 2013-01-19 16:38:23 EST
For the record: this is still valid in F18 Final. Update notifications pop up the online update installer - even for a set of updates which includes kernel and selinux-policy so it's not just doing it for updates that are 'safe' to install online.
Comment 4 Adam Williamson 2013-04-05 19:15:09 EDT
Still valid in F19. Is anyone ever going to be concerned about this? It's a substantial polish problem with our default desktop.
Comment 5 Michael Catanzaro 2013-04-19 18:19:34 EDT
Bug #907041 is also a big usability problem with offline updates in F18 (though that one might be fixed for F19, not sure, and it wouldn't matter as much if this one was resolved).

Offline updates are very cool but they are NOT ready for a stable distro - it's one of the things I'm not very successful at explaining away when introducing friends to Fedora. (In contrast, openSUSE GNOME has wisely chosen to disable offline updates until the feature matures.) Other common reasons for offline updates failing, off the top of my head:

* An update was requested but no packages are available for update
* An update was requested but no Internet connection was available

Perhaps F19's (but not Rawhide's) default PackageKit config /etc/PackageKit/PackageKit.conf should specify WritePreparedUpdates=false - I think we should use the defaults which provide the highest level of quality even though it's sad to disable a feature.
Comment 6 Adam Williamson 2013-11-16 18:28:49 EST
This is fixed up for GNOME 3.10 in Fedora 20 as things stand, I think all avenues have now been covered and trigger offline updates. If there's no chance of F18 and F19 being retrospectively cleaned up, we could probably close this.
Comment 7 Adam Williamson 2013-11-18 12:15:24 EST
Let's make it NEXTRELEASE to make it clearer that we fixed it, just not for F18/F19.

Note You need to log in before you can comment on or make changes to this bug.